from sqlalchemy import Boolean, Column, ForeignKey, Integer, String

from app.models.database import BaseModel


class JobInfo(BaseModel):
    __tablename__ = "job_info"

    id = Column(Integer, primary_key=True, index=True)
    # 选择周期类型(0:时,1:日,2:周,3:月,4:cron)
    cron_select_type = Column(Integer)
    # 任务执行CRON
    job_cron = Column(String, nullable=False, index=True)
    # 任务描述
    job_desc = Column(String, nullable=False)
    # 创建时间
    create_time = Column(Integer)
    # 更新时间
    update_time = Column(Integer)
    # 创建人
    user_id = Column(String, nullable=False)
    # 执行器路由策略
    executor_route_strategy = Column(String)
    # 执行器任务handler
    executor_handler = Column(String)
    # 执行器任务参数
    executor_param = Column(String)
    # 阻塞处理策略
    executor_block_strategy = Column(String)
    # 任务超时时间, 单位分钟
    executor_timeout = Column(Integer, nullable=False)
    # 失败重试次数
    executor_fail_retry_count = Column(Integer, nullable=False)
    # 调度状态: 0-停止 1-运行
    trigger_status = Column(Integer, nullable=False)
    # 上次调度时间
    trigger_last_time = Column(Integer)
    # 下次调度时间
    trigger_next_time = Column(Integer)
    # datax运行脚本
    job_json = Column(String)
    # 增量初始时间
    inc_start_time = Column(Integer)
    # 最近一次执行状态
    last_handle_code = Column(Integer)
    # 数据状态 0-删除 1-正常
    delete_status = Column(Integer, nullable=False)
    # 增量时间
    replace_param = Column(String)
    # 分区信息
    partition_info = Column(String)
    # jvm参数
    jvm_param = Column(String)
    # 上次时间字段
    last_time = Column(String)
    # 当前时间字段
    current_time = Column(String)
